Name:       rogauracore
Version:    1.5
Release:    %mkrel 1
Summary:    RGB keyboard control for Asus ROG laptops
License:    MIT
Group:      System/Kernel and hardware
URL:        https://github.com/wroberts/%{name}
Source0:    https://github.com/wroberts/%{name}/archive/%{version}.tar.gz
ExclusiveArch: %{ix86} x86_64

BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  autoconf
BuildRequires:  automake

Requires:   pkgconfig(libusb-1.0)


%description 
Linux-compatible open-source libusb implementation similar to the ROG Aura
Core software.
Supports RGB keyboards with IDs:
0b05:1854 (GL553, GL753)
0b05:1866 (GL504, GL703, GX501, GM501)
0b05:1869 (GL503, FX503, GL703)

%prep
%setup -q

%build
autoreconf --verbose -f -i
%configure
%make_build

%install
%make_install
mkdir -p %{buildroot}%{_udevrulesdir}
mv %{buildroot}/lib/udev/rules.d/* %{buildroot}%{_udevrulesdir}/

%post
udevadm control --reload-rules
udevadm trigger

%files
%doc README.md
%{_bindir}/rogauracore
%{_udevrulesdir}/90-rogauracore.rules
